You are not logged in.

#1 2021-11-06 06:35:09

Palmy
Member
Registered: 2021-11-06
Posts: 5

[Solved]请教为什么我不能用ssh拉gerrit的代码?

使用easyconnect代理,不能用ssh拉代码
但是使用ubuntu却可以,同样的操作
```
[palmy@eos workspace]$ git clone "ssh://............"
Cloning into 'Project'...
...................com: Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
```

id_rsa.pub已经添加了,gerrit显示密钥有效
palmy@SK-20211101BFYQ    Valid           
palmy@eos    Valid

ps:github可以用ssh
archwiki上添加权限的方式也用过了

求教,谢谢

Last edited by Palmy (2021-11-07 15:39:26)

Offline

#2 2021-11-06 06:36:39

Palmy
Member
Registered: 2021-11-06
Posts: 5

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

                     ./o.                  palmy@eos 
                   ./sssso-                --------- 
                 `:osssssss+-              OS: EndeavourOS Linux x86_64 
               `:+sssssssssso/.            Kernel: 5.14.16-arch1-1 
             `-/ossssssssssssso/.          Uptime: 22 mins 
           `-/+sssssssssssssssso+:`        Packages: 1288 (pacman) 
         `-:/+sssssssssssssssssso+/.       Shell: bash 5.1.8 
       `.://osssssssssssssssssssso++-      Resolution: 1920x1080 
      .://+ssssssssssssssssssssssso++:     DE: Plasma 5.23.2 
    .:///ossssssssssssssssssssssssso++:    WM: KWin 
  `:////ssssssssssssssssssssssssssso+++.   Theme: Breeze Light [Plasma], Breeze [GTK2], Arc-Darker [GTK3] 
`-////+ssssssssssssssssssssssssssso++++-   Icons: breeze [Plasma], breeze [GTK2/3] 
 `..-+oosssssssssssssssssssssssso+++++/`   Terminal: konsole 
   ./++++++++++++++++++++++++++++++/:.     CPU: Intel i7-5820K (12) @ 4.100GHz 
  `:::::::::::::::::::::::::------``       GPU: NVIDIA GeForce GTX 980 
                                           Memory: 1985MiB / 15901MiB

当前使用EOS
EndeavourOS和Manjaro和Archlinux都试过了,结果一样的

Last edited by Palmy (2021-11-06 14:13:19)

Offline

#3 2021-11-06 09:57:08

philo
Member
Registered: 2015-01-26
Posts: 161

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

本論壇僅支持 Arch Linux。 正在尋找什麼? 使用代碼標籤 (code tags).

您是否嘗試在 Google 中搜索答案?

Last edited by philo (2021-11-06 10:28:10)

Offline

#4 2021-11-06 10:39:43

Awebb
Member
Registered: 2010-05-06
Posts: 5,879

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

Sorry, I can only reply in English :-)

I had this problem with xpra a while ago. xpra used an old SSH implementation that did not use the new encryption libraries. Perhaps your ssh is old? "pacman -Qs ssh", please?

Offline

#5 2021-11-06 14:00:02

Palmy
Member
Registered: 2021-11-06
Posts: 5

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

philo wrote:

本論壇僅支持 Arch Linux。 正在尋找什麼? 使用代碼標籤 (code tags).

您是否嘗試在 Google 中搜索答案?

感谢回复
google和archwiki的方法试过很多,但是没有作用
archlinux里也是一样的错误

Offline

#6 2021-11-06 14:11:02

Palmy
Member
Registered: 2021-11-06
Posts: 5

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

Awebb wrote:

Sorry, I can only reply in English :-)

I had this problem with xpra a while ago. xpra used an old SSH implementation that did not use the new encryption libraries. Perhaps your ssh is old? "pacman -Qs ssh", please?

Thanks for replying. I think it is the latest version

local/ksshaskpass 5.23.2-1 (plasma)
    ssh-add helper that uses kwallet and kpassworddialog
local/libssh 0.9.6-1
    Library for accessing ssh client services through C libraries
local/libssh2 1.10.0-1
    A library implementing the SSH2 protocol as defined by Internet Drafts
local/openssh 8.8p1-1
    Premier connectivity tool for remote login with the SSH protocol

I  have run

sudo pacman -Syyu

before git clone
It works fine in ubuntu, but I want to use arch.

Offline

#7 2021-11-06 14:29:14

sydneyj
Member
Registered: 2018-10-20
Posts: 9

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

According to post #2, you are using EndeavorOS, which is not supported here.

Offline

#8 2021-11-06 15:12:57

progandy
Member
Registered: 2012-05-17
Posts: 4,635

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

Sorry, I have to use English as well.

I think Ubuntu still has openssh 8.4.
So the problem may be that in openssh 8.8 support for ssh-rsa (with broken SHA1) was disabled. Only rsa-sha2-256, rsa-sha2-512 are still supported and ecliptic curve keys (ecdsa, ed25519).

Your server may be too old to support the better ssh2 key algorithm (which can be used without changing the ssh keys), so you'll have to replace the ssh keys with ecdsa or ed25519.
For now it should also be possible to use some parameters to reenable the insecure shh-rsa mechanism.

https://dev.to/cloudx/why-openssh-8-8-c … ovided-49i
https://confluence.atlassian.com/bitbuc … 57701.html
https://www.openssh.com/txt/release-8.8

Last edited by progandy (2021-11-06 15:15:55)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#9 2021-11-07 08:22:35

Palmy
Member
Registered: 2021-11-06
Posts: 5

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

progandy wrote:

Sorry, I have to use English as well.

I think Ubuntu still has openssh 8.4.
So the problem may be that in openssh 8.8 support for ssh-rsa (with broken SHA1) was disabled. Only rsa-sha2-256, rsa-sha2-512 are still supported and ecliptic curve keys (ecdsa, ed25519).

Your server may be too old to support the better ssh2 key algorithm (which can be used without changing the ssh keys), so you'll have to replace the ssh keys with ecdsa or ed25519.
For now it should also be possible to use some parameters to reenable the insecure shh-rsa mechanism.

https://dev.to/cloudx/why-openssh-8-8-c … ovided-49i
https://confluence.atlassian.com/bitbuc … 57701.html
https://www.openssh.com/txt/release-8.8

Thanks! It works fine.
Now I can pull&push.
Before I use the publickey by

ssh-keygen

now

ssh-keygen -t ed25519

Yes, I think the server may be too old to support OpenSSH_8.8p1

Thank you to all of you.

Offline

#10 2021-11-07 09:43:04

philo
Member
Registered: 2015-01-26
Posts: 161

Re: [Solved]请教为什么我不能用ssh拉gerrit的代码?

請將其標記為 [已解決]  [Solved]

Offline

Board footer

Powered by FluxBB